using System;

namespace Smdn.Protocols.Imap4 {
  // RFC 2192 IMAP URL Scheme
  // http://tools.ietf.org/html/rfc2192
  public enum ImapUriForm {
    Server,           // 4. IMAP server
    ListMailboxes,    // 5. Lists of mailboxes
    ListMessages,     // 6. Lists of messages (enc_search is not present)
    SearchMessages,   // 6. Lists of messages (enc_search is present)
    FetchMessage,     // 7. A specific message or message part
  }
}
