using System;

namespace Smdn.Protocols.Pop3.Transaction {
  public class PopMessageResponse : PopResponse {
    public PopMessage Message {
      get { return message; }
    }

    internal PopMessageResponse(PopTransactionStatus status, PopMessage message, string description)
      : base(status, description)
    {
      this.message = message;
    }

    private readonly PopMessage message;
  }
}
