using System;

namespace Smdn.Protocols.Imap4 {
  public class ImapServerInfo {
    public ImapUri Uri {
      get { return uri; }
    }

    public ImapCapability Capability {
      get { return capability; }
      internal set { capability = value; }
    }

    public ImapNamespace Namespace {
      get { return @namespace; }
      internal set { @namespace = value; }
    }

    internal ImapServerInfo(ImapUri uri)
    {
      this.uri = uri;
    }

    public override string ToString()
    {
      return string.Format("{{Uri={0}, Capability={1}, Namespace={2}}}",
                           uri,
                           capability,
                           @namespace);
    }

    private ImapUri uri;
    private ImapCapability capability = new ImapCapability();
    private ImapNamespace @namespace = new ImapNamespace();
  }
}
