using System;

namespace Smdn.Protocols.Imap4.Transaction {
  public class ImapCapabilityResponse : ImapResponse {
    public ImapCapability Capability {
      get { return capability; }
    }

    internal ImapCapabilityResponse(ImapTransactionStatus status, ImapCapability capability, string description)
      : base(status, description)
    {
      this.capability = capability;
    }

    private readonly ImapCapability capability;
  }
}
